Employee PF Verification
Introduction:

cURL
curl --location 'https://api-preproduction.signzy.app/api/v3/underwriting/verify-employee-PF' \
--header 'Content-Type: application/json' \
--header 'Authorization: '<Auth-Token>' \
--data '{
"companyName": "<company-name>",
"employeeName": "<employee-name>",
"pfCheckYear": "<pf-check-year>"
}'Request Headers:
Key | Value |
|---|---|
Authorization | shared by Signzy |
Content-type | application/json |
Request Body
{
"companyName": "",
"employeeName": "",
"pfCheckYear": ""
}PARAMETERS | DESCRIPTION | TYPE | VALUE (COMPULSORY OR OPTIONAL) |
|---|---|---|---|
companyName | Name of the company | String (min 4 char) | COMPULSORY |
employeeName | Name of the employee | String | COMPULSORY |
pfCheckYear | The PF check Year | String | COMPULSORY |
Response Data
{
"result": {
"employeeName": [
"***** *****"
],
"employeesCount": 1,
"employerName": "Signzy Technologies Private Limited",
"establishmentId": "PUPUN*******000",
"status": true
}
}In the response we would an array of objects, where each object details are as follows:
PARAMETERS | DESCRIPTION | TYPE | VALUE (COMPULSORY OR OPTIONAL) |
|---|---|---|---|
employeeName | Name of all the employees matching with the employeeName passed in the input | Array of Strings | COMPULSORY |
employeesCount | The count of employees found out matching with the employeeName passed in the input | Intger | COMPULSORY |
nameemployerName | Name of the employer | String | COMPULSORY |
establishmentId | The establishment Id of the organization/employeer | String | COMPULSORY |
status | Returns the status,true/false | Boolean | COMPULSORY |
NOTE: Above fields are Compulsory during 200 OK Response.
Sample Status Codes And Messages
{
"result": {
"employeeName": [
"***** *****"
],
"employeesCount": 1,
"employerName": "Signzy Technologies Private Limited",
"establishmentId": "PUPUN*******000",
"status": true
}
}
1. When valid companyName, employeeName and pfCheckYear is passed.